org.jbpm.executor.impl.concurrent

## Class PrioritisedScheduledFutureTask<V>

- java.lang.Object
- - org.jbpm.executor.impl.concurrent.PrioritisedScheduledFutureTask<V>

- All Implemented Interfaces:
    Comparable<Delayed>, Runnable, Delayed, Future<V>, RunnableFuture<V>, RunnableScheduledFuture<V>, ScheduledFuture<V>

      public class PrioritisedScheduledFutureTask<V>
      extends Object
      implements RunnableScheduledFuture<V>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrioritisedScheduledFutureTask(RunnableScheduledFuture<V> delegate, Integer priority, Date fireDate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancel(boolean mayInterruptIfRunning)`
    `int` | `compareTo(Delayed o)`
    `V` | `get()`
    `V` | `get(long timeout, TimeUnit unit)`
    `long` | `getDelay(TimeUnit unit)`
    `boolean` | `isCancelled()`
    `boolean` | `isDone()`
    `boolean` | `isPeriodic()`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrioritisedScheduledFutureTask

          public PrioritisedScheduledFutureTask(RunnableScheduledFuture<V> delegate,
                                                Integer priority,
                                                Date fireDate)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Specified by:
        `run` in interface `RunnableFuture<V>`

    - #### cancel

          public boolean cancel(boolean mayInterruptIfRunning)

      Specified by:
        `cancel` in interface `Future<V>`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `Future<V>`

    - #### isDone

          public boolean isDone()

      Specified by:
        `isDone` in interface `Future<V>`

    - #### get

          public V get()
                throws InterruptedException,
                       ExecutionException

      Specified by:
        `get` in interface `Future<V>`
      Throws:
        `InterruptedException`
        `ExecutionException`

    - #### get

          public V get(long timeout,
                       TimeUnit unit)
                throws InterruptedException,
                       ExecutionException,
                       TimeoutException

      Specified by:
        `get` in interface `Future<V>`
      Throws:
        `InterruptedException`
        `ExecutionException`
        `TimeoutException`

    - #### getDelay

          public long getDelay(TimeUnit unit)

      Specified by:
        `getDelay` in interface `Delayed`

    - #### compareTo

          public int compareTo(Delayed o)

      Specified by:
        `compareTo` in interface `Comparable<Delayed>`

    - #### isPeriodic

          public boolean isPeriodic()

      Specified by:
        `isPeriodic` in interface `RunnableScheduledFuture<V>`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.